Create a maintenance script to convert oversighted content to suppressed with revision deletion, and the corresponding log entries too
Closed, ResolvedPublic

Description

Author: mike.lifeguard+bugs

Description:
In the transition from oversight to revision deletion, there is concern about old oversighted content. This should all be converted to hidden-from-sysops revision-deleted with the same reason (perhaps with a note that it's been converted like "[converted from [[mw:Extension:Oversight|OS]]"?) and the log entries should also be transitioned.


Version: unspecified
Severity: normal

bzimport set Reference to bz18598.
bzimport created this task.Via LegacyApr 26 2009, 5:19 PM
bzimport added a comment.Via ConduitApr 29 2009, 4:17 AM

FT2.wiki wrote:

See also Bug 18493

bzimport added a comment.Via ConduitApr 30 2009, 4:54 PM

happy.melon.wiki wrote:

Would it be safer to extend the Oversight extension with an interface to manually restore revisions from the oversight table? That way a current oversighter can review the data, select which components need to be hidden, and that it is appropriate to restore it at all (IIRC FT2 has indicated somewhere else that there may be occasions where the aspect that needs oversighting was the fact that the edit happened at all). Doing this en masse with a script seems dangerous to me. How large are the oversight tables on WMF? Is it feasible to do these restorations manually? The interface should still create log entries in the name of the original oversighter, and at the time of the original oversight.

bzimport added a comment.Via ConduitApr 30 2009, 7:49 PM

FT2.wiki wrote:

Confirmed - I've noted the issue on another bug, I'll add the reference if needed.

The only difference is that oversight removes the edit from public view, and RevDel doesn't; once this is looked at, and lookup is available then there's pretty much no reason to keep oversight; oversights can readily be zapped over to RevDel as the above discussion here suggests, and the oversight extension gracefully retired with thanks for its service.

This really needs bug 18472 and bug 18511 addressed first. See also bug 18493.

bzimport added a comment.Via ConduitApr 30 2009, 7:51 PM

FT2.wiki wrote:

In fact it overlaps bug 18493 and bug 18511 and some merging may be in order.

bzimport added a comment.Via ConduitJun 20 2009, 1:52 PM

mike.lifeguard+bugs wrote:

This should really happen before access to oversight is removed - I've moved bug 18511 from depends to blocks to reflect this.

Bug 18493 is about a long-term goal of merging various methods of deletion, making this one step along the way. Again, I've moved that bug from depends to blocks, since this bug is a prerequisite for fixing that bug.

Krenair added a comment.Via ConduitAug 8 2012, 11:33 PM

Assigning to myself since I'm working on this.

Krenair added a comment.Via ConduitAug 9 2012, 1:20 AM

One last problem I've hit before I submit this file for review is that it assumes we're adding to the revision table.

Should it ever add to the archive table? If so, how to determine which entries need to go into the archive table and which into the revision table?

Also, should it add to the recentchanges table?

aaron added a comment.Via ConduitAug 9 2012, 1:28 AM

(In reply to comment #7)

One last problem I've hit before I submit this file for review is that it
assumes we're adding to the revision table.

Should it ever add to the archive table? If so, how to determine which entries
need to go into the archive table and which into the revision table?

There is a hidden_page field, you can check if a page row has that as a page_id. If none does, it was deleted.

Also, should it add to the recentchanges table?

No.

Krenair added a comment.Via ConduitAug 9 2012, 3:20 AM

Gerrit change 18206

Krenair added a comment.Via ConduitAug 9 2012, 1:25 PM

Moved to the Oversight extension - Gerrit change 18229.

Krenair added a comment.Via ConduitNov 4 2012, 4:48 PM

... Why has this bug been assigned to Chris?

Jdforrester-WMF added a comment.Via ConduitNov 4 2012, 4:51 PM

Sorry, I forgot to give a comment; I assigned it to Chris for review, given that it had been dropped and was unassigned. However, looking at the history I see NemoBis just unassigned it from you this week - Nemo, did you mean something different by that?

Krenair added a comment.Via ConduitNov 4 2012, 4:54 PM

Nemo went around changing ASSIGNED -> NEW where the asignee was the default wikibugs-l@lists.wikimedia.org.

Aklapper added a comment.Via ConduitJul 23 2013, 9:05 AM

csteipp: Do you think you could review the 170lines in https://gerrit.wikimedia.org/r/#/c/18229/ ?

gerritbot added a comment.Via ConduitJan 9 2014, 6:02 PM

Change 18229 had a related patch set uploaded by Alex Monk:
Maintenance script to migrate legacy Oversight data

https://gerrit.wikimedia.org/r/18229

jayvdb added a comment.Via ConduitJan 10 2014, 12:10 AM

I have reverted the wontfixing of dependency bug 20290. It may only be relevant on some WMF projects, but how many other mediawiki sites adopted Oversight and need to migrate to RevDel?

Krenair added a comment.Via ConduitJan 10 2014, 1:36 AM

(In reply to comment #16)

I have reverted the wontfixing of dependency bug 20290. It may only be
relevant on some WMF projects, but how many other mediawiki sites adopted
Oversight and need to migrate to RevDel?

Unknown. I have only heard this request from WMF wikis, who refuse to give a good reason publicly and therefore are not going to get it.

Legoktm added a comment.Via ConduitJan 10 2014, 3:00 AM

(In reply to comment #16)

I have reverted the wontfixing of dependency bug 20290. It may only be
relevant on some WMF projects, but how many other mediawiki sites adopted
Oversight and need to migrate to RevDel?

There's no way to get an exact number, but https://wikiapiary.com/wiki/Extension:Oversight says ~1k, subtract all the WMF sites that have it installed (~700) and you're left with 300 other MediaWiki sites.

Legoktm added a comment.Via ConduitJan 10 2014, 3:10 AM

(In reply to comment #18)

There's no way to get an exact number, but
https://wikiapiary.com/wiki/Extension:Oversight says ~1k, subtract all the
WMF
sites that have it installed (~700) and you're left with 300 other MediaWiki
sites.

Krenair pointed out to me there are nearly 900 WMF wikis now...so about 100 other sites then.

gerritbot added a comment.Via ConduitJan 23 2014, 6:08 PM

Change 18229 merged by Parent5446:
Maintenance script to migrate legacy Oversight data

https://gerrit.wikimedia.org/r/18229

Add Comment